Page MenuHomePhabricator

An enabled configured external survey shows on the mobile version of the site
Closed, ResolvedPublic2 Story Points

Description

If a configured external survey is enabled, configured and targeted towards mobile, and bucketed to n% (n>0) of the users, those chosen users will see a widget with the links to the survey on the mobile site.

AC:

  • Survey is visible to a bucketed user with the configured values
  • When the user visits the survey or dismisses the panel, it won't show again for them.
  • Title, body of text and privacy policy text come from configuration.
  • Clicking on Visit Survey will open the survey link on a new page.

Baseline mockup:

Related Objects

Event Timeline

Jhernandez raised the priority of this task from to Normal.
Jhernandez updated the task description. (Show Details)
Jhernandez added subscribers: Aklapper, Jhernandez.

Hey @KHammerstein, can you have a look at the mockups and change them however you think they should be? Sorry about pinging so late, engineers will start working on this next week. I made the mockups based on the wikigrok widgets and the beta opt in panel we used in gather.

cc/ @dr0ptp4kt does this cover the use cases?

ps: The text of the title and paragraph, and the privacy disclaimer at the bottom are all configurable in the configuration, not fixed, do not take them as such.

@Jhernandez, looks pretty good. The messaging should be able to be translated on translatewiki, and the frequency of display should be configurable.

...and the frequency of display should be configurable.

I'm defining it as bucketing the survey to a % of users. Is that reasonable?

@Jhernandez, yeah, sounds good

For surveys getting internationalization up front will be pretty key. We should avoid presentation of the CTA in one language and then sending the user to a survey in a completely different language. I suppose part of this can be ensured via configuration after a spot check that the localizations are there.

As with the other task, is this something that can be configured on a per-wiki basis (e.g., like JS-exposed $wg vars)?

Jhernandez updated the task description. (Show Details)Aug 3 2015, 11:03 AM
Jhernandez set Security to None.
KLans_WMF edited a custom field.Aug 3 2015, 5:03 PM
KLans_WMF moved this task from Needs Analysis to To Do on the Reading-Web-Sprint-53-12-Monkeys board.

External links should be opened in new tabs like references!

Note this can now be worked on using https://gerrit.wikimedia.org/r/230001 as a basis

bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-53-12-Monkeys board.

Change 232438 had a related patch set uploaded (by Bmansurov):
WIP: external survey

https://gerrit.wikimedia.org/r/232438

Change 232537 had a related patch set uploaded (by Bmansurov):
Show external surveys

https://gerrit.wikimedia.org/r/232537

Change 232438 abandoned by Bmansurov:
WIP: external survey

Reason:
https://gerrit.wikimedia.org/r/#/c/232537/

https://gerrit.wikimedia.org/r/232438

phuedx added a subscriber: phuedx.Aug 21 2015, 11:36 AM

@Jhernandez: The internal survey is dismissed when the user submits a response but in 232537 the external survey isn't. Which of the two behaviours is correct?

@Jhernandez, note that above we are comparing the final submission of internal survey to the beginning of the external survey. Since there is now way of knowing whether a user has completed an external survey and maybe a user wants to read the privacy policy during the time they are taking the survey, I left the panel open.

Let's do the same thing in both. Theoretically and per mocks on https://phabricator.wikimedia.org/T107592 there's a thanks screen that keeps the privacy policy link at the bottom, so that should cover the person trying to go back and read the privacy policy.

cc/ @phuedx @bmansurov

Change 233342 had a related patch set uploaded (by Bmansurov):
Show external surveys

https://gerrit.wikimedia.org/r/233342

Change 232537 abandoned by Bmansurov:
Show external surveys

Reason:
Move to the dev branch: https://gerrit.wikimedia.org/r/#/c/233342/

https://gerrit.wikimedia.org/r/232537

@bmansurov some feedback left on card to improve patch - get stuff moving quicker. Can you move back to review column when you've looked at it? Thanks!

Change 233648 had a related patch set uploaded (by Bmansurov):
Show external surveys

https://gerrit.wikimedia.org/r/233648

Change 233648 abandoned by Bmansurov:
Show external surveys

Reason:
oops, wrong branch

https://gerrit.wikimedia.org/r/233648

Change 233342 merged by jenkins-bot:
Show external surveys

https://gerrit.wikimedia.org/r/233342

On HEAD of branch dev:

  • Set on the config:
    "enabled": true,
	"@coverage": "percentage of users that will see the survey",
	"coverage": 100,

Not sure what that is about, but I can't get it to work.

Fix incoming…

Change 234507 had a related patch set uploaded (by Phuedx):
Include the name of the survey in the spec

https://gerrit.wikimedia.org/r/234507

Change 234507 merged by jenkins-bot:
Include the name of the survey in the spec

https://gerrit.wikimedia.org/r/234507

Jhernandez closed this task as Resolved.Aug 28 2015, 11:53 AM
  • Visit survey visits the link on new page and shows thanks modal.
  • No thanks shows thanks modal.
  • Survey won't show again if reloaded.

Had to add ?quicksurvey=true to the url, thanks @phuedx.

Please be more concrete on how to signoff on stuff!

Thanks!!